Zilfu
API ReferenceMedia

Get an upload URL

PUT the file to the returned upload_url with Content-Type: <mime>, then send url back when creating or updating a post.

POST
/media/sign
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://zilfu.app/api/media/sign" \  -H "Content-Type: application/json" \  -d '{    "mime": "image/jpeg"  }'
{
  "upload_url": "string",
  "url": "string",
  "path": "string",
  "expires_at": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}